Name:          lwjgl
Version:       2.7.1
Release:       %mkrel 2
Summary:       Lightweight Java™ Game Library
Group:         System/Libraries
License:       BSD
Url:           http://lwjgl.org/
Source0:       http://sourceforge.net/projects/java-game-lib/files/Official%20Releases/LWJGL%20%{version}/lwjgl-source-%{version}.zip
# mkdir -p lwjgl2.7.1
# cd lwjgl2.7.1
# svn co https://java-game-lib.svn.sourceforge.net/svnroot/java-game-lib/tags/lwjgl2.7.1/LWJGL/maven 
# svn co https://java-game-lib.svn.sourceforge.net/svnroot/java-game-lib/tags/lwjgl2.7.1/LWJGL/eclipse-update
# cd ..
# tar czf lwjgl-2.7.1-extra-src-svn.tar.gz lwjgl2.7.1
Source1:       lwjgl-2.7.1-extra-src-svn.tar.gz

Patch0:        lwjgl-2.7.1-systemjinput.patch
Patch1:        lwjgl-2.7.1-allarchs.patch
Patch2:        lwjgl-2.7.1-javadoc.patch
Patch3:        lwjgl-2.7.1-nomacosx.patch
Patch4:        lwjgl-2.7.1-poms.patch
BuildRequires: ant
#BuildRequires: ant4eclipse0
#BuildRequires: ecj
#BuildRequires: eclipse-equinox-osgi
BuildRequires: glibc-devel
BuildRequires: java
BuildRequires: java-devel
BuildRequires: jinput
BuildRequires: jpackage-utils
BuildRequires: jutils
BuildRequires: libx11-devel
BuildRequires: libxcursor-devel
BuildRequires: libxext-devel
BuildRequires: libxrandr-devel
BuildRequires: libxt-devel
BuildRequires: libxxf86vm-static-devel
Requires:      java
Requires:      jinput
Requires:      jpackage-utils
Requires:      jutils


%description
The Lightweight Java™ Game Library (LWJGL) is a solution aimed directly at
professional and amateur Java programmers alike to enable commercial quality
games to be written in Java. LWJGL provides developers access to high
performance crossplatform libraries such as OpenGL (Open Graphics Library)
and OpenAL (Open Audio Library) allowing for state of the art 3D games and 3D
sound. Additionally LWJGL provides access to controllers such as Gamepads,
Steering wheel and Joysticks. All in a simple and straight forward API.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_jnidir}/liblwjgl.so
%{_javadir}/lwjgl.jar
%{_javadir}/lwjgl_test.jar
%{_javadir}/lwjgl_util.jar
%{_javadir}/lwjgl_util_applet.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
LWJGL - Lightweight Java™ Game Library.

This package contains javadoc for %{name}.

%files javadoc
%{_javadocdir}/lwjgl-%{version}
%{_javadocdir}/lwjgl

#--------------------------------------------------------------------

%prep
%setup -q -c -n lwjgl-%{version} -a1
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p0

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done

for p in $(find maven -name "*.pom"); do
  sed -i "s|@VERSION@|%{version}|" $p
done

#sed -i 's|./anttasks/ant4eclipse-0.5.0.rc1.jar|/usr/share/java/ant4eclipse.jar|' eclipse-update/org.lwjgl.eclipseplugins/build.xml
#sed -i 's|./anttasks/ecj.jar|/usr/share/java/ecj.jar|' eclipse-update/org.lwjgl.eclipseplugins/build.xml
#sed -i 's|./anttasks/org.eclipse.osgi_3.2.0.v20060601.jar|/usr/share/java/eclipse-osgi.jar|' eclipse-update/org.lwjgl.eclipseplugins/build.xml


%build
export CLASSPATH=$(build-classpath jinput jutils)
ant all javadoc
# TODO
#(
#mkdir -p temp/native eclipse-update/org.lwjgl.eclipseplugins/lwjgl-archives/%{version}
#cd temp
#cp -p libs/linux/* temp/native/
#cp -p libs/lwjgl.jar  temp/
#cp -p libs/lwjgl_test.jar temp/
#cp -p libs/lwjgl_util.jar temp/
#cp -p libs/lwjgl_util_applet.jar temp/
#zip -r eclipse-update/org.lwjgl.eclipseplugins/lwjgl-archives/%{version}/lwjgl-%{version}.zip  *
#)

#cd eclipse-update/org.lwjgl.eclipseplugins
#mv anttasks/packagelist.jar.no anttasks/packagelist.jar
#mkdir -p anttasks/temp
#(
#  cd anttasks
#  jar -xf packagelist.jar
#  rm -rf  packagelist.jar
#  mv src temp
#  mkdir -p temp/classes
#  javac -d temp/classes -source 1.5 -target 1.5 $(find temp/src/java -name "*.java") -cp $(build-classpath ant)
#  (
#    cd temp/classes
#    jar cf ../../packagelist.jar *
#  )
#)
#ant -Dversion=%{version} dist
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_jnidir}
install -m 755 libs/linux/liblwjgl.so %{buildroot}%{_jnidir}

mkdir -p %{buildroot}%{_javadir}
install -m 644 libs/lwjgl.jar %{buildroot}%{_javadir}
install -m 644 libs/lwjgl_test.jar %{buildroot}%{_javadir}
install -m 644 libs/lwjgl_util.jar %{buildroot}%{_javadir}
install -m 644 libs/lwjgl_util_applet.jar %{buildroot}%{_javadir}

mkdir -p %{buildroot}%{_javadocdir}/lwjgl-%{version}
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/lwjgl-%{version}
ln -s lwjgl-%{version} %{buildroot}%{_javadocdir}/lwjgl

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 maven/lwjgl-parent.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-lwjgl-parent.pom
%add_to_maven_depmap lwjgl parent %{version} JPP lwjgl-parent
%add_to_maven_depmap org.lwjgl parent %{version} JPP lwjgl-parent
%add_to_maven_depmap org.lwjgl.lwjgl parent %{version} lwjgl-parent
install -pm 644 maven/lwjgl.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-lwjgl.pom
%add_to_maven_depmap lwjgl lwjgl %{version} JPP lwjgl
%add_to_maven_depmap org.lwjgl lwjgl %{version} JPP lwjgl
%add_to_maven_depmap org.lwjgl.lwjgl lwjgl %{version} JPP lwjgl
# maven/lwjgl-platform.pom
install -pm 644 maven/lwjgl_util.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-lwjgl_util.pom
%add_to_maven_depmap lwjgl lwjgl_util %{version} JPP lwjgl_util
%add_to_maven_depmap org.lwjgl lwjgl_util %{version} JPP lwjgl_util
%add_to_maven_depmap org.lwjgl.lwjgl lwjgl_util %{version} JPP lwjgl_util
install -pm 644 maven/lwjgl_util_applet.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-lwjgl_util_applet.pom
%add_to_maven_depmap lwjgl lwjgl_util_applet %{version} JPP lwjgl_util_applet
%add_to_maven_depmap org.lwjgl lwjgl_util_applet %{version} JPP lwjgl_util_applet
%add_to_maven_depmap org.lwjgl.lwjgl lwjgl_util_applet %{version} JPP lwjgl_util_applet



%changelog

* Sun Jan 08 2012 dmorgan <dmorgan> 2.7.1-2.mga2
+ Revision: 193539
- BUmp release

* Sat Nov 05 2011 gil <gil> 2.7.1-1.mga2
+ Revision: 163065
- added m2 poms
- imported package lwjgl


* Thu Jun 23 2011 gil <gil> 2.7.1-0.%%mkrel
- initial rpm